Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03203 Misc. Minor Always May 20, 2009, 10:06 Aug 22, 2010, 15:58
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS Windows 2000
Status [?] Resolved Driver docastle.cpp
Version 0.131u2 Fixed in Version 0.139u2 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03203: All sets in docastle.c and mrdo.c: Unable to enter Service Mode
Description Historically, you could enter service mode by hitting button 1 (left control) + F3. This would bring up RAM+ROM testing as well an Input Test screen and more.
Right now, you cannot access it by established means. You can test it last in version 0.111 of MAME - 0.112 no longer works.
Steps To Reproduce Start MAME, use Left Control (button 1) + F3 to initiate Tests on any sets in these drivers.
Additional Information Built some u releases and tested regression on this - it's 0.111u5

idsoccer - still works.. but gives a CPU-2 RAM ERROR.
kickridr, dorunrun, dowild - give a "BAD COMMUNICATION !!" message before entering the service mode.
jjack - hangs.
dorunrun - give a "BAD COMMUNICATION !!" message and hangs. If you repeat the Left Control+F3 combo after the hang, it attempts it again and usually succeeds.
Github Commit
Flags
Regression Version 0.111u5
Affected Sets / Systems All sets in docastle.c and mrdo.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.04417
Tafoid
Administrator
May 25, 2009, 16:07
Added the fact the mrdo.c sets also suffer from this.